#ifndef MODGRAVITY_H
#define MODGRAVITY_H


struct MDGravity {
  MDGravity(const Material &a_mat)
  : material(a_mat)
  {}

public:
  // add gravity to particle's force
  template< class P > void operator()( P & p ){
    p.f += material.getWeight(p.type); // m * g;
  }

private:
  const Material material;
};

#endif
