#ifndef MODWATCH_H
#define MODWATCH_H

/*static   const int DIM = 3;
typedef  PTZ_Vector<double,DIM> double_vec;
typedef  PTZ_Vector<float,DIM>  float_vec;
typedef  PTZ_Vector<int,DIM>    int_vec;
*/
typedef  double_vec position_less;
typedef  double_vec position_greater;
typedef  double Time;

struct MDWatch{
	private:
	Time time;
	position_greater pgreat;
	position_less    pless;
	public:
	MDWatch()
	:time(0.0)
	{
		pless[0] = -10.0;
		pless[1] = -10.0;
		pless[2] = 0.101;
	}

	public:
	template< class P > void operator()(P &p){
		if(p.contact.size()!=0)
			std::cout<<"size: "<<p.contact.size()<<std::endl;
	}

	void update(Time t){
		this->time = t;
	}



};


#endif

